mca_read_pos
Prev | Chapter 3. Public Functions Provided | Next

## Name

mca_read_pos — read POS register from card

## Synopsis

`unsigned char mca_read_pos (` | int | slot,
| int | reg`)`;

## Arguments

`slot`

  slot number to read from

`reg`

  register to read from

## Description

Fetch a POS value directly from the hardware to obtain the current value. This is much slower than mca_read_stored_pos and may not be invoked from interrupt context. It handles the deep magic required for onboard devices transparently.

Prev | Up | Next
mca_read_stored_pos | Home | mca_write_pos